FS_LISTQUOTA(1)

NAME
fs_listquota - Displays quota information for a volume

SYNOPSIS
fs listquota [-path <dir/file path>+] [-human] [-help]

fs listq [-p <dir/file path>+] [-hu] [-he]

fs lq [-p <dir/file path>+] [-hu] [-he]

DESCRIPTION
The fs listquota command displays information about the volume containing each specified directory or file (its name, quota, and amount of disk space used), along with an indicator of the percentage of space used on the host partition.

To display more information about the host partition, use the fs examine command.

To set volume quota, use the fs setquota or fs setvol command.

CAUTIONS
Currently, the maximum quota for a volume is 2 terabytes (2^41 bytes). Note that this only affects the volume's quota; a volume may grow much larger if the volume quota is disabled. However, volumes over 2 terabytes in size may be impractical to move, and may have their size incorrectly reported by some tools, such as fs_listquota(1).

OPTIONS

-path <dir/file path>+
    Names a file or directory that resides in the volume about which to produce output. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

-human
    Print space in a "human-readable" format. Instead of always printing space in kilobytes, show disk space in kilobytes, megabytes, gigabytes, terabytes, or petabytes, as appropriate.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The output displays information about the volume that houses each specified directory or file, in a tabular format that uses the following headers:

Volume Name
    The name of the volume.

Quota
    The volume's quota in kilobytes, or the string "no limit" to indicate an unlimited quota.

Used
    The amount of space used. If -human is not specified, this value is in kilobytes.

% Used
    The percentage of the volume's quota that is used (the "Used" statistic divided by the "Quota" statistic, times 100).

Partition
    The percentage of space used on the partition that houses the volume. Although not directly related to how much of the user's quota is used, it is reported because a full partition can cause writing of data back to the volume to fail even when the volume has not reached its quota.

EXAMPLES
The following example shows the output for the volume "user.smith":

   % fs listquota -path /afs/abc.com/usr/smith
   Volume Name     Quota    Used    % Used   Partition
   user.smith      15000    5071       34%         86%

PRIVILEGE REQUIRED
The issuer must have the "r" (read) permission on the ACL of the root directory of the volume that houses the file or directory named by the -path argument, and "l" (list) permission on the ACL of each directory that precedes it in the pathname.

SEE ALSO
fs_diskfree(1), fs_examine(1), fs_quota(1), fs_setquota(1), fs_setvol(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.